Part Line/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 14: Line 14:
</div>
</div>


<span id="Description"></span>
==Descrizione==
==Descrizione==


Line 20: Line 21:
[[Image:Part_Line_Example.png|400px]]
[[Image:Part_Line_Example.png|400px]]


<span id="Usage"></span>
==Utilizzo==
==Utilizzo==



Revision as of 16:13, 7 January 2024

Linea

Posizione nel menu
Parte → Crea primitive → Linea
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea primitive

Descrizione

A Part Line is a parametric line that can be created with the Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its DatiPlacement property.

Utilizzo

See Part Primitives.

Properties

See also: Property editor.

A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • DatiX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • DatiY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • DatiZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • DatiX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • DatiY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • DatiZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()